#
#  PygreSQL - Python-PostgreSQL interface
#
#  $Id: python-pygresql.spec,v 1.5 1998/12/11 08:08:38 thilo Exp thilo $

### PREAMBLE
Name: python-pygresql
Version: 2.2
Release: 1
Copyright: GPL
Group: Development/Libraries
Source: ftp://ftp.druid.net/pub/distrib/PyGreSQL-2.2.tgz
Patch: PyGreSQL-2.2.patch
Requires: python >= 1.5
Requires: postgresql-clients >= 6.3.2
BuildRoot: /tmp/build-pygresql
URL: http://www.druid.net/pygresql/
Summary: a Python interface for PostgreSQL database
%description
PyGreSQL is a python module that interfaces to a PostgreSQL database. It
embeds the PostgreSQL query library to allow easy use of the powerful
PostgreSQL features from a Python script.


### PREP SECTION
%prep
%setup -n PyGreSQL-2.2
%patch -p 1


### BUILD SECTION
%build
#gcc -fpic -shared -I/usr/include/python1.5 -o pg.so pgmodule.c -lpq
make redhat


### INSTALL SECTION
%install
ZIELDIR=${RPM_BUILD_ROOT}/usr/lib/python1.5
install -d $ZIELDIR
install -m 644 pg.py $ZIELDIR
install -m 644 pgext.py $ZIELDIR
python /usr/lib/python1.5/compileall.py $ZIELDIR
python -O /usr/lib/python1.5/compileall.py $ZIELDIR
ZIELDIR=${RPM_BUILD_ROOT}/usr/lib/python1.5/lib-dynload
install -d $ZIELDIR
install -m 755 _pg.so $ZIELDIR


### FILES SECTION
%files
%attr(-, root, root) /usr/lib/python1.5/lib-dynload/_pg.so
%attr(-, root, root) /usr/lib/python1.5/pg.py
%attr(-, root, root) /usr/lib/python1.5/pg.pyc
%attr(-, root, root) /usr/lib/python1.5/pg.pyo
%attr(-, root, root) /usr/lib/python1.5/pgext.py
%attr(-, root, root) /usr/lib/python1.5/pgext.pyc
%attr(-, root, root) /usr/lib/python1.5/pgext.pyo
%attr(-, root, root) %doc Announce
%attr(-, root, root) %doc ChangeLog
%attr(-, root, root) %doc README
%attr(-, root, root) %doc README.redhat
# %attr(-, root, root) %doc tutorial
# glrbs, these files are somehow misplaced...
%attr(-, root, root) %doc advanced.py
%attr(-, root, root) %doc basics.py
%attr(-, root, root) %doc func.py
%attr(-, root, root) %doc pgtools.py
%attr(-, root, root) %doc syscat.py

%changelog
* Fri Dec 11 1998 Thilo Mezger <thilo@eevolute.com>
- first release
- somehow still hardcoded for RHL 5.{1,2} ...

